## python-flexmock 0.9.7

=== Makefile ===
quick:
	PYTHON_VERSIONS=2.6 RUNNERS=unittest PYTHON_IMPLEMENTATIONS=cpython ./tests/run_tests.sh

test:
	./tests/run_tests.sh

coverage:
	PYTHONPATH=. coverage run tests/flexmock_test.py 
	coverage html --omit tests\/flexmock_test\.py --include flexmock\.py

## python-flexmock 0.9.6

=== debian/changelog ===
python-flexmock (0.9.6-1) unstable; urgency=low

  * New upstream version.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Jun 2012 20:23:01 +0100

python-flexmock (0.9.5-1) unstable; urgency=low

  * New upstream version.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Jun 2012 09:47:51 +0100

python-flexmock (0.9.4-1) unstable; urgency=low

  * New upstream version.
  * Respect DEB_BUILD_OPTIONS=nocheck.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 May 2012 01:31:26 +0100

python-flexmock (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #668606).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 13 Apr 2012 21:40:14 +0200

=== debian/control ===
Source: python-flexmock
Priority: optional
Section: python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 8),
 python-all (>= 2.6.6-3~),
 python-nose,
 python-pytest,
 python3-all (>= 3.1.2),
 python3-nose,
 python3-pytest
Standards-Version: 3.9.3
Homepage: http://has207.github.com/flexmock/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-flexmock/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-flexmock/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-flexmock
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Mock/Stub/Spy library for Python
 flexmock is a testing library for Python that makes it easy to create mocks,
 stubs and fakes.
 .
 The API is inspired by a Ruby library of the same name, but Python flexmock is
 not a clone of the Ruby version. It omits a number of redundancies in the Ruby
 flexmock API, alters some defaults, and introduces a number of Python-only
 features.
 .
 flexmock's design focuses on simplicity and intuitiveness. This means that the
 API is as lean as possible, though a few convenient short-hand methods are
 provided to aid brevity and readability.
 .
 flexmock declarations are structured to read more like English sentences than
 API calls, and it is possible to chain them together in any order to achieve
 high degree of expressiveness in a single line of code.
 .
 This package contains the Python 2.x version of flexmock.

Package: python3-flexmock
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Mock/Stub/Spy library for Python 3
 flexmock is a testing library for Python that makes it easy to create mocks,
 stubs and fakes.
 .
 The API is inspired by a Ruby library of the same name, but Python flexmock is
 not a clone of the Ruby version. It omits a number of redundancies in the Ruby
 flexmock API, alters some defaults, and introduces a number of Python-only
 features.
 .
 flexmock's design focuses on simplicity and intuitiveness. This means that the
 API is as lean as possible, though a few convenient short-hand methods are
 provided to aid brevity and readability.
 .
 flexmock declarations are structured to read more like English sentences than
 API calls, and it is possible to chain them together in any order to achieve
 high degree of expressiveness in a single line of code.
 .
 This package contains the Python 3 version of flexmock.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS = $(shell pyversions -rv)
PY3VERS = $(shell py3versions -rv)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py setup.py build; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
	export PYTHONPATH=.; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py tests/flexmock_unittest_test.py; \
		nosetests-$$py tests/flexmock_nose_test.py; \
		py.test-$$py tests/flexmock_pytest_test.py; \
	done
endif

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		python$$py setup.py install --skip-build \
		                            --root debian/python-flexmock \
		                            --install-layout=deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		python$$py setup.py install --skip-build \
		                            --root debian/python3-flexmock \
		                            --install-layout=deb; \
	done

override_dh_auto_clean:
	find . -name '*.pyc' -delete
	rm -rf build

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/f/flexmock/flexmock-(.+)\.tar\.gz

## python-flexmock 0.9.7

=== debian/changelog ===
python-flexmock (0.9.7-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Use /usr/bin/nosetests instead of /usr/bin/nosetests-X.Y (closes:
    #707516).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stefano Rivera ]
  * New Upstream version.
  * Bump Standards-Version to 3.9.4.
    - Bump debhelper dependency to 8.1 for build-{arch,indep} support.
  * Bumpy copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 May 2013 03:18:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 8.1),
  python-all (>= 2.6.6-3~),
  python-nose,
  python-pytest,
  python3-all (>= 3.1.2),
  python3-nose,
  python3-pytest
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://has207.github.com/flexmock/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-flexmock/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-flexmock/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-flexmock/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-flexmock/trunk/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	export PYTHONPATH=.; \
 	for py in $(PYVERS) $(PY3VERS); do \
 		python$$py tests/flexmock_unittest_test.py; \
-		nosetests-$$py tests/flexmock_nose_test.py; \
+		python$$py /usr/bin/nosetests tests/flexmock_nose_test.py; \
 		py.test-$$py tests/flexmock_pytest_test.py; \
 	done
 endif

## python-flexmock 0.10.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flexmock.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flexmock.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/flexmock"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flexmock"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-flexmock (0.10.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Stefano Rivera ]
  * Bump debhelper compat to 11.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Aug 2018 20:44:01 +0100

python-flexmock (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Switch Vcs URLs to https.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Feb 2016 15:07:03 +1100

python-flexmock (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use pypi.debian.net.
  * Update copyright
    - Upstream switched to a different BSD-2 variant.
    - New upstream maintainer.
  * Bump X-Python*-Versions, upstream dropped support for < 2.6, and < 3.3.
  * Port to pybuild.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Bump debhelper compat level to 9.
  * Add autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Dec 2015 13:59:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 11),
+ dh-python (>= 1.20130807),
  python-all (>= 2.6.6-3~),
  python-nose,
  python-pytest,
  python3-all (>= 3.1.2),
  python3-nose,
  python3-pytest
-Standards-Version: 3.9.4
-Homepage: http://has207.github.com/flexmock/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-flexmock/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-flexmock/trunk/
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
+Standards-Version: 4.2.0
+Homepage: https://flexmock.readthedocs.org/
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-flexmock.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flexmock
+Rules-Requires-Root: no
 
 Package: python-flexmock
 Architecture: all

## python-flexmock 0.10.3

=== debian/changelog ===
python-flexmock (0.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Jan 2019 23:27:54 +1300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all (>= 3.1.2),
  python3-nose,
  python3-pytest
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://flexmock.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-flexmock.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flexmock

## python-flexmock 0.10.4

=== debian/changelog ===
python-flexmock (0.10.4-3) unstable; urgency=medium

  * Drop python 2 binary package, no longer used in Debian.
    (Closes: #937762)
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 May 2020 15:17:06 -0700

python-flexmock (0.10.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 19:47:20 -0400

python-flexmock (0.10.4-1) unstable; urgency=medium

  * New upstream release.
    - Supporting Python 3.7.
  * Bump debhelper compat to 12 (using B-D syntax).
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Jul 2019 17:26:54 -0700

=== debian/control ===
Source: python-flexmock
Priority: optional
Section: python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python (>= 1.20130807),
 python3-all (>= 3.4),
 python3-nose,
 python3-pytest
Standards-Version: 4.5.0
Homepage: https://flexmock.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-flexmock.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flexmock
Rules-Requires-Root: no

Package: python3-flexmock
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Mock/Stub/Spy library for Python 3
 flexmock is a testing library for Python that makes it easy to create mocks,
 stubs and fakes.
 .
 The API is inspired by a Ruby library of the same name, but Python flexmock is
 not a clone of the Ruby version. It omits a number of redundancies in the Ruby
 flexmock API, alters some defaults, and introduces a number of Python-only
 features.
 .
 flexmock's design focuses on simplicity and intuitiveness. This means that the
 API is as lean as possible, though a few convenient short-hand methods are
 provided to aid brevity and readability.
 .
 flexmock declarations are structured to read more like English sentences than
 API calls, and it is possible to chain them together in any order to achieve
 high degree of expressiveness in a single line of code.
 .
 This package contains the Python 3 version of flexmock.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flexmock

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} tests/flexmock_unittest_test.py'
	dh_auto_test -- --test-nose --test-args tests/flexmock_nose_test.py
	dh_auto_test -- --test-pytest --test-args tests/flexmock_pytest_test.py

=== debian/tests/control ===
Tests: unittests3
Depends: python3-all, python3-flexmock, python3-nose, python3-pytest

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flexmock/flexmock-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-flexmock 0.10.5

=== debian/changelog ===
python-flexmock (0.10.5-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Add upstream metadata.
  * Bump copyright years.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump debian/watch version to 4.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Jul 2021 07:34:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-flexmock
 Priority: optional
 Section: python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -9,10 +9,10 @@
  python3-all (>= 3.4),
  python3-nose,
  python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://flexmock.readthedocs.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-flexmock.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flexmock
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-flexmock.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flexmock
 Rules-Requires-Root: no
 
 Package: python3-flexmock

## python-flexmock 0.11.3

=== debian/changelog ===
python-flexmock (0.11.3-2) unstable; urgency=medium

  * Support the nocheck build profile.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Oct 2022 14:56:04 +0200

python-flexmock (0.11.3-1) unstable; urgency=medium

  * New upstream point release.
  * Drop patches, superseded upstream.
  * Upstream reorganised tests, update runners.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 18 Feb 2022 12:20:20 -0400

python-flexmock (0.11.2-2) unstable; urgency=medium

  * Exclude docs/conf.py from the wheel. (Closes: #1003396)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 09 Jan 2022 10:22:50 -0400

python-flexmock (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Update tests, reorganised upstream.
  * Run tests with subunit and testtools.
  * Build with poetry (pybuild pyproject plugin).
    - Patch: Don't install docs with the code.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jan 2022 18:50:06 -0400

python-flexmock (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Run the normal upstream test suite with the trial runner, instead of the
    pytest suite.
  * Run the upstream test suite with zope.testrunner.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Nov 2021 07:54:19 -0400

python-flexmock (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on python3-setuptools.
  * Update path to unittest suite.
  * Explicitly run unittest suite with the unittest module.
  * Run the pytest suite with twisted's trial runner too.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Nov 2021 00:52:30 -0800

python-flexmock (0.10.10-2) unstable; urgency=medium

  * Drop python3-nose tests, allowing removal from Debian (see: #997758).
    Upstream doesn't support nose2, yet, so we can't just run the nose
    testsuite with nose2.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Oct 2021 12:18:23 -0700

python-flexmock (0.10.10-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 20 Sep 2021 19:15:45 -0700

python-flexmock (0.10.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Sep 2021 15:58:16 -0700

python-flexmock (0.10.8-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Bump debhelper from old 12 to 13.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Sep 2021 16:43:50 -0700

python-flexmock (0.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Aug 2021 14:42:48 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python (>= 1.20130807),
+ debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  python3-all (>= 3.4),
- python3-nose,
- python3-pytest
-Standards-Version: 4.5.1
+ python3-poetry-core,
+ python3-pytest <!nocheck>,
+ python3-subunit <!nocheck>,
+ python3-testtools <!nocheck>,
+ python3-twisted <!nocheck>,
+ python3-zope.testrunner <!nocheck>,
+ subunit <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://flexmock.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flexmock.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flexmock

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flexmock

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} tests/test_unittest.py'
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} tests/test_doctest.py'
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} -m twisted.trial tests/test_generic_integration.py'
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} -m zope.testrunner --test-path=. --test-file-pattern=test_generic_integration'
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} -m testtools.run --verbose tests/test_testtools.py'
	dh_auto_test -- --system=custom \
		--test-args '{interpreter} -m subunit.run tests/test_generic_integration.py | subunit2pyunit'
	dh_auto_test -- --test-pytest --test-args tests/test_pytest.py

## python-flexmock 0.12.1

=== debian/changelog ===
python-flexmock (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Jun 2024 11:50:27 +0100

python-flexmock (0.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Uses the pytest plugin system, instead of wrapping the test runner.
      (Closes: #1067358)
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Mar 2024 16:07:39 -0400

python-flexmock (0.11.3-3) unstable; urgency=medium

  * Clean correctly. (Closes: #1046630)
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Oct 2023 12:01:38 +0200

## python-flexmock 0.12.2

=== debian/changelog ===
python-flexmock (0.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Jan 2025 20:14:16 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-twisted <!nocheck>,
  python3-zope.testrunner <!nocheck>,
  subunit <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://flexmock.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flexmock.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flexmock

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-flexmock,
 python3-pytest,
 python3-subunit,
 python3-testtools,
 python3-twisted,
 python3-zope.testrunner,
 subunit
Restrictions: allow-stderr

## python-flexmock 0.13.0

=== debian/changelog ===
python-flexmock (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, drop Priority field.
  * Bump copyright years.
  * Drop Rule-Requires-Root: no, which is now the default.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Jan 2026 14:24:33 -0400

## python-flexmock 0.13.0+ds1

=== Makefile ===

color := $(shell tput setaf 2)
off := $(shell tput sgr0)
PYTHON := $(if $(shell command -v python3),python3,python)
TARGETS = src tests

.PHONY: all
all: lint test

.PHONY: lint
lint: isort black mypy pylint

.PHONY: test
test: install unittest doctest pytest

.PHONY: install
install:
	@printf '\n\n*****************\n'
	@printf '$(color)Install flexmock$(off)\n'
	@printf '*****************\n'
ifeq (${VIRTUAL_ENV},)
	@printf 'Skipping install. VIRTUAL_ENV is not set.\n'
else
	pip install .
endif


.PHONY: pytest
pytest:
	@printf '\n\n*****************\n'
	@printf '$(color)Running pytest$(off)\n'
	@printf '*****************\n'
	pytest

.PHONY: unittest
unittest:
	@printf '\n\n*****************\n'
	@printf '$(color)Running unittest$(off)\n'
	@printf '*****************\n'
	PYTHONPATH=$(shell pwd) $(PYTHON) tests/test_unittest.py

.PHONY: doctest
doctest:
	@printf '\n\n*****************\n'
	@printf '$(color)Running doctest$(off)\n'
	@printf '*****************\n'
	$(PYTHON) tests/test_doctest.py

.PHONY: mypy
mypy:
	@printf '\n\n*****************\n'
	@printf '$(color)Running mypy$(off)\n'
	@printf '*****************\n'
	mypy ${TARGETS}

.PHONY: isort
isort:
	@printf '\n\n*****************\n'
	@printf '$(color)Running isort$(off)\n'
	@printf '*****************\n'
	isort --check-only ${TARGETS}

.PHONY: black
black:
	@printf '\n\n*****************\n'
	@printf '$(color)Running black$(off)\n'
	@printf '*****************\n'
	black --check ${TARGETS}

.PHONY: pylint
pylint:
	@printf '\n\n*****************\n'
	@printf '$(color)Running pylint$(off)\n'
	@printf '*****************\n'
	pylint ${TARGETS}

.PHONY: docs
docs:
	@printf '\n\n*****************\n'
	@printf '$(color)Test building docs$(off)\n'
	@printf '*****************\n'
	mkdocs build --strict

=== debian/changelog ===
python-flexmock (0.13.0+ds1-1) unstable; urgency=medium

  * Switch orig source to GitHub, which has non-zero timestamps.
    (Closes: #1125433)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Jan 2026 21:22:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: python-flexmock
-Priority: optional
 Section: python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
@@ -14,11 +13,10 @@
  python3-twisted <!nocheck>,
  python3-zope.testrunner <!nocheck>,
  subunit <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://flexmock.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flexmock.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flexmock
-Rules-Requires-Root: no
 
 Package: python3-flexmock
 Architecture: all

=== debian/watch ===
Version: 5

Template: GitHub
Owner: flexmock
Project: flexmock
Dversion-Mangle: auto
